# VecPackGetLocalVectors

Gets local vectors and arrays for each part of a VecPack.' Use VecPakcRestoreLocalVectors() to return them.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackGetLocalVectors(VecPack packer,...)

Collective on VecPack

### Input Parameter

packer -the packer object

### Output Parameter

... -the individual sequential objects (arrays or vectors)

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackGather(), VecPackCreate(), VecPackGetGlobalIndices(), VecPackGetAccess(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html